'use strict';
spice.database = {};
spice.database.connections = {};
import Couchbase from '../connectors/couchbase';

(async function connect(){
    try{
        for(let key in spice.config.database.connections){
            let value = spice.config.database.connections[key];
            if(value.enabled){
                switch(value.database_type){
                    case 'couchbase':{
                        let connection = new Couchbase(key, value);
                        let result = await connection.connect();
                        spice.database.connections[result.connection] = result.bucket;
                    }
                }
            }
        }
    }catch(e){
        console.log(e.stack);
        throw e;
    }

})();